阿里云ECS基于WDCP面板一键升级PHP5.3.17、PHP5.5.9、PHP5.6.12脚本

  1. 网友热度 14,996 ℃ - 5条评论
  2. 标签:,
  3. 微信公众号: imweber

毕竟在国产面板中可选择的免费VPS主机面板还是比较少的,其中WDCP面板的使用用户还是比较多,即便传言和之前也有的漏洞还是造成一定的影响,但是如果我们能够在面板安装完毕之后,及时的采用一些基础的安全措施,比如修改面板的登录默认端口、删除默认环境根目录的文件、及时更新和升级最新的官方漏洞补丁等。

阿里云ECS基于WDCP面板一键升级PHP5.3.17、PHP5.5.9、PHP5.6.12脚本

虽然WDCP面板在国内的时间也比较久了,但是目前对于版本和环境中官方已经不在维护(除了漏洞补丁),我们默认安装的面板环境PHP版本只有5.2,但是我们很多程序,以及前一段时间暴露出来的PHP漏洞问题,需要我们给PHP版本进行升级,而且官方也有提供一定的升级方法。

但是,如果我们有在使用阿里云ECS服务器的时候,会发现与其他普通常用的VPS主机不同,包括直接官方源安装WDCP面板或者在线升级PHP的时候,因为官方提供的源在海外其他服务器,连通阿里云ECS会存在不畅通的问题(修改DNS也无效),导致很多时候无法安装。这里,老左在自己的这台阿里云ECS中,同时把PHP升级脚本的数据源版本迁移到我的本地,至少我可以保证下面我的测试时候,在我的这台机器上是可以完成升级的。

第一、阿里云ECS升级PHP5.3.17

wget https://soft.laozuo.org/wdcp/php_up53.sh
sh php_up53.sh

第二、阿里云ECS升级PHP5.5.9

wget https://soft.laozuo.org/wdcp/php_up55.sh
sh php_up55.sh

第三、阿里云ECS升级PHP5.6.12

wget https://soft.laozuo.org/wdcp/php_up569.sh
sh php_up569.sh

我们可以根据自己项目的需要,选择对应PHP版本的安装。如果没有特别的限制,我们可以升级到当前较为普遍的稳定版PHP5.6.12(之前还用过5.6.9),整个升级PHP过程编译还是比较长时间的,我们等待就可以。

PHP5.5.9

PS:解决512MB内存出现"make: *** [ext/fileinfo/libmagic/apprentice.lo] Error 1"错误的问题,这里老左已经在上述的文件包中添加过" --disable-fileinfo"编译脚本,所以在512MB内存上也是没有问题的。

本文固定链接: https://www.laozuo.org/6777.html | 老左笔记


声明:我们不销售主机,选主机需合法使用,信息以实际为准。 公众号:imweber


关注公众号『站长事儿』

获取更多站长圈的新鲜事儿!
有您,有我,还有大家!

注意:任何主机需定期备份,防止数据丢失。主机需合法使用,商家信息以实际为准,评测不代表权威。
该日志由 老左 于2015年08月17日发表在 主机教程 分类下, 你可以发表评论,并在保留原文地址及作者的情况下引用到你的网站或博客。
原创文章转载请注明: 阿里云ECS基于WDCP面板一键升级PHP5.3.17、PHP5.5.9、PHP5.6.12脚本